## freebsd-quota 8.2

=== libexec/rpc.rquotad/Makefile ===
# $FreeBSD$

PROG =	rpc.rquotad
SRCS =	rquotad.c
MAN  =	rpc.rquotad.8

WARNS ?= 6

DPADD=	${LIBRPCSVC}
LDADD=	-lrpcsvc

.include <bsd.prog.mk>

=== sbin/fsck/Makefile ===
#	$NetBSD: Makefile,v 1.14 1996/09/27 22:38:37 christos Exp $
# $FreeBSD$

PROG=	fsck
SRCS=	fsck.c fsutil.c preen.c
WARNS?=	2
MAN=	fsck.8

.include <bsd.prog.mk>

=== sbin/quotacheck/Makefile ===
# $FreeBSD$
#	@(#)Makefile	8.1 (Berkeley) 6/5/93

PROG=	quotacheck
SRCS=	quotacheck.c preen.c fsutil.c utilities.c
WARNS?=	2
MAN=	quotacheck.8

.PATH:	${.CURDIR}/../fsck ${.CURDIR}/../fsck_ffs

.include <bsd.prog.mk>

=== usr.bin/quota/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

PROG=	quota
BINOWN=	root

DPADD=	${LIBRPCSVC} ${LIBUTIL}
LDADD=	-lrpcsvc -lutil

.include <bsd.prog.mk>

=== usr.sbin/edquota/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

PROG=	edquota
MAN=	edquota.8

WARNS?=	4

.include <bsd.prog.mk>

=== usr.sbin/quotaon/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

PROG=	quotaon
LINKS=	${BINDIR}/quotaon ${BINDIR}/quotaoff
MAN=	quotaon.8
MLINKS=	quotaon.8 quotaoff.8

WARNS?=	4

.include <bsd.prog.mk>

=== usr.sbin/repquota/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

PROG=	repquota
MAN=	repquota.8

WARNS?=	4

.include <bsd.prog.mk>

=== debian/changelog ===
freebsd-quota (8.2-3) unstable; urgency=low

  * Team upload.
  * Update copyright years.
  * Remove myself from Uploaders.

 -- Guillem Jover <guillem@debian.org>  Sat, 19 Oct 2013 06:25:42 +0200

freebsd-quota (8.2-2) unstable; urgency=low

  * Add missing freebsd-buildutils to Build-Depends.
  * Replace portmap Suggests with rpcbind.
  * Now using Standards-Version 3.9.4 (no changes needed).
  * Switch from patching the source to use the libbsd overlay, this fixes
    a FTBFS with newer libbsd that moved away libutil.h.
  * Switch from dh sequencer to a proper explicit debhelper rules file.
    dh does not cope well with setting the PATH variable.
  * Switch to debhelper compatibility level 9.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS, thus enabling
    hardening flags.
  * Use correct continuation line in field paragraph on copyright file.
  * Do not pass obsolete COPTS to upstream build system.
  * Use current copyright format 1.0 format URI.
  * Use canonical license names (w/o aliases) in copyright file.
  * Remove initial slash from path in lintian override.

 -- Guillem Jover <guillem@debian.org>  Sat, 18 May 2013 20:58:31 +0200

freebsd-quota (8.2-1) unstable; urgency=low

  [ Mats Erik Andersson ]
  * Initial release. (Closes: #611143)

  [ Guillem Jover ]
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Refactor source name into SOURCE in debian/rules.
  * Line-wrap CFLAGS and PMAKE variables in debian/rules.
  * Add myself to Uploaders.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 28 Feb 2011 18:29:17 +0100

=== debian/control ===
Source: freebsd-quota
Section: admin
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Mats Erik Andersson <mats.andersson@gisladisker.se>
Build-Depends: debhelper (>= 9), freebsd-buildutils, pkg-config,
 libbsd-dev (>= 0.4.0), libc0.1-dev (>= 2.10.1) [kfreebsd-any]
Standards-Version: 3.9.4

Package: freebsd-quota
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
Suggests: rpcbind
Description: management of file system quota for UFS
 The tools needed to handle file system contingents
 on GNU/kFreeBSD systems are contained here.
 .
 The utilities supply all necessary manipulations to
 set, activate, and change quota in any UFS partition.
 Quota support must be compiled into the kernel.

=== debian/rules ===
#!/usr/bin/make -f

SOURCE = freebsd-quota
VERSION = $(shell dpkg-parsechangelog | sed -n '/^Version/ {s/.*: //; s/-.*//; p;}')
SVNLOC = "http://svn.freebsd.org/base/release/$(VERSION).0"

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
ORIGDIR = $(SOURCE)-$(VERSION)
TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz

CFLAGS = $(shell dpkg-buildflags --get CPPFLAGS) -I. -D_GNU_SOURCE \
         $(shell dpkg-buildflags --get CFLAGS) -Wall -pipe -fPIC \
         $(shell pkg-config --cflags libbsd-overlay)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
PMAKE = CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
        NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO \
        DESTDIR=$(DESTDIR) make

PROGS_DEP = \
  sbin/fsck \
  sbin/fsck_ffs \
  $(nil)
PROGS = \
  libexec/rpc.rquotad \
  sbin/quotacheck \
  usr.bin/quota \
  usr.sbin/edquota \
  usr.sbin/quotaon \
  usr.sbin/repquota \
  $(nil)

get-orig-source:
	rm -rf $(ORIGDIR)
	for nn in $(PROGS_DEP) $(PROGS); do \
		svn export $(SVNLOC)/$$nn $(ORIGDIR)/$$nn; \
	done
	tar --numeric-owner --owner 0 --group 0 \
		-czf $(CURDIR)/../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

build-indep:

build-arch:
	for prog in $(PROGS); do \
	  $(PMAKE) -C $$prog; \
	done

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot

	for prog in $(PROGS); do \
	  $(PMAKE) -C $$prog clean; \
	done

	dh_clean

.PHONY: clean build-indep build-arch build

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installinit -a -- start 13 S . stop 06 0 6 .
	dh_installman -a
	dh_install -a

binary-indep:
# Nothing to do.

binary-arch: install-arch
	dh_testdir -a
	dh_testroot -a
	dh_link -a
	dh_lintian -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: install-arch binary-indep binary-arch binary

=== debian/watch ===
version=3

# The source is cherry picked from the FreeBSD project.
# There is no simple way to find a prepackaged source
# archive in the repositories of upstream origin.
